[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.AsInt64

Access the raw JSON value as an 64-bit integer

## Declaration

Source position: fpjson.pp line 108

`public property TJSONData.AsInt64 : Int64 read GetAsInt64 write SetAsInt64;`

## Description

AsInt64 allows access to the raw value as a 64-bit integer value. When reading, it attempts to convert the native value of the data to a 64-bit integer value. When writing, it attempts to transform the 64-bit integer value to a native value. If either conversion fails, an EConvertError exception is raised.

For TJSONInt64Number this will return the native value.

For complex values, reading or writing this property will always result in an EConvertError exception.

## See also

AsFloat
Value
AsInteger
AsString
AsBoolean
IsNull
AsJSON

Documentation generated on: Feb 26 2014